%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname ocaml-migrate-parsetree

Name:           %{oname}
Version:        2.4.0
Release:        %mkrel 3
Summary:        Convert OCaml parsetrees between different major versions
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://github.com/ocaml-ppx/ocaml-migrate-parsetree
Source0:        https://github.com/ocaml-ppx/ocaml-migrate-parsetree/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-cinaps-devel
Obsoletes:      ocaml-migrate-parsetree < 1.0.11-2
Provides:       ocaml-migrate-parsetree = %{version}-%{release}
%rename		ocaml-ocaml-migrate-parsetree

%description
This library converts between parsetrees of different OCaml versions.
For each version, there is a snapshot of the parsetree and conversion
functions to the next and/or previous version.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Obsoletes:      ocaml-migrate-parsetree-devel < 1.0.11-2
%rename		ocaml-ocaml-migrate-parsetree-devel


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{oname}-%{version}


%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md


%files devel -f .ofiles-devel


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 2.4.0-3.mga10
+ Revision: 2193628
- rebuild for ocaml 5.3.0
+ neoclust <neoclust>
- Rebuild to fix broken deps

* Thu Oct 06 2022 pterjan <pterjan> 2.4.0-1.mga9
+ Revision: 1895159
- Update to 2.4.0

* Thu May 19 2022 pterjan <pterjan> 2.3.0-2.mga9
+ Revision: 1859278
- Build with --release
- Rebuild for OCaml 4.14

* Sat May 14 2022 pterjan <pterjan> 2.3.0-1.mga9
+ Revision: 1858174
- Update to 2.3.0

* Wed Mar 30 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1834837
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 2.2.0-1.mga9
+ Revision: 1751007
- 2.2.0

* Fri Mar 19 2021 tv <tv> 2.1.0-2.mga9
+ Revision: 1704834
- 2.1.0

* Sat Mar 06 2021 tv <tv> 1.8.0-1.mga9
+ Revision: 1700189
- downgrade to 1.8.0 in order to build ocaml-ppx-tools-versioned
- fix license
- no need for opam
- fix URL
- enhanced description

* Thu Mar 04 2021 tv <tv> 2.1.0-1.mga9
+ Revision: 1698009
- 2.1.0

* Sun Jan 10 2021 pterjan <pterjan> 1.5.0-5.mga8
+ Revision: 1670287
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.5.0-4.mga8
+ Revision: 1551584
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1545730
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.5.0-2.mga8
+ Revision: 1485086
- rename ocaml-ocaml-migrate-parsetree -> ocaml-migrate-parsetree

* Sun Jan 26 2020 tv <tv> 1.5.0-1.mga8
+ Revision: 1483043
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 pterjan <pterjan> 1.1.0-2.mga7
+ Revision: 1325518
- Rebuild with new jbuilder (https://discuss.ocaml.org/t/is-it-currently-possible-to-use-ppx-deriving-in-a-jbuilder-project/426/11)

* Tue Oct 23 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1324549
- Fix file list
- Update to 1.1.0
- Obsolete again the wrongly named package
- Rebuild for ocaml 4.07.1
+ tv <tv>
- rebuild with ocaml-4.07.1

* Wed Aug 29 2018 daviddavid <daviddavid> 1.0.7-5.mga7
+ Revision: 1255388
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1.0.7-4.mga7
+ Revision: 1241891
- update files list

* Tue Jun 12 2018 daviddavid <daviddavid> 1.0.7-3.mga7
+ Revision: 1236480
- reenable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1.0.7-2.mga7
+ Revision: 1193258
- obsolete wrong name

* Sun Jan 14 2018 pterjan <pterjan> 1.0.7-1.mga7
+ Revision: 1193250
- imported package ocaml-ocaml-migrate-parsetree

